function [t,y,g,h] = make_data(sol,tspan,K,BC,RefineT);

global XXX TTT

% function [t,y,g,h] = make_data(sol,tspan,K,BC,RefineT);
% this routine constructs data  matrix 
% on the time grid tspan
% or, if given RefineT = [], constructs tspan  
% from the sol given by sol = ode***()
% BC = [ y  Flux coeff state value ]

if nargin == 5
 tspan = linspace(min(tspan),max(tspan),RefineT)';
end

dx = diff(XXX);

yint = deval(sol,tspan);

yint = yint';
yleft =  yint(:,1) - dx(1)*evaluate(BC(:,1:2),tspan);
yright =  evaluate( BC(:,1:2:3),tspan);

y = [yleft(:), yint , yright(:)];

Ky = evaluate(K,yright);
dydx = (y(:,end) - y(:,end-1))/dx(end);

t = tspan;
g = y(:,1);
h = Ky .* (dydx - 1);
