scaleM_maple

figure;
loglog(m11(:,1),m11(:,2),'ko');
title('Log log scaling of M11 entry  vs t','FontSize',20);
xlabel('log(\Delta t)','FontSize',18);
ylabel('log(\int_0^{\Delta t} (h_x - 1) \phi_x)','FontSize',18);

figure;
loglog(m21(:,1),m21(:,2),'ko');
title('Log log scaling of M21 entry  vs t','FontSize',20);
xlabel('log(\Delta t)','FontSize',18);
ylabel('log(\int_0^{\Delta t} (h_x - 1) \psi_x)','FontSize',18);

figure;
loglog(m12(:,1),m12(:,2),'ko');
title('Log log scaling of M12 entry  vs t','FontSize',20);
xlabel('log(\Delta t)','FontSize',18);
ylabel('log(\int_0^{\Delta t} h_t \phi)','FontSize',18);

figure;
loglog(m22(:,1),abs(m22(:,2)),'ko');
title('Log log scaling of abs(M22) entry  vs t','FontSize',20);
xlabel('log(\Delta t)','FontSize',18);
ylabel('log(| \int_0^{\Delta t} h_t \psi) |','FontSize',18);

figure;
loglog(b1(:,1),abs(b1(:,2)),'ko');
title('Log log scaling of b1 entry  vs t','FontSize',20);
xlabel('log(\Delta t)','FontSize',18);
ylabel('log(| \int_0^{\Delta t} p P^*) |','FontSize',18);

figure;
loglog(b2(:,1),abs(b2(:,2)),'ko');
title('Log log scaling of b2 entry  vs t','FontSize',20);
xlabel('log(\Delta t)','FontSize',18);
ylabel('log(| \int_0^{\Delta t} q Q^*) |','FontSize',18);

