function  sol = solve_dual(Solver,Udot,tspan,phi0,C,K,Kp,theta);

global XXX

%fprintf('solve_dual.m reached \n');
%disp('In solve_dual');
%keyboard
%options = odeset('Vectorized','on','BDF','on');
%options = odeset('Vectorized','on','BDF','on','Mass',@mass,'MStateDependence','strong','RelTol',1e-6);

options = odeset('BDF','on','Mass',@mass,'MStateDependence','strong','RelTol',1e-6);
sol.one = feval(Solver,str2func(Udot),tspan,phi0.one,options,C,K,Kp,theta.one);

fprintf('Done with first dual problem (flux(x=0) = data, state(x=1) = 0\n');
sol.two = feval(Solver,str2func(Udot),tspan,phi0.two,options,C,K,Kp,theta.two);
fprintf('Done with second dual problem (flux(x=0) = 0, state(x=1) = data\n');

%---------------------------------

function out = mass(t,u,C,K,Kp,data)


d = evaluate(C,u);
out = sparse(diag(d));

