function soln = integrate(A,x,t);

% integrates A over x cross tspan
% using the trapazoidal rule
% here A is on half nodes in x 
% and full nodes in time
% so size(A) = [M,N]
% and length(x) = M+1
% and length(t) = N

%xm = diff(x)/2 + x(1:end-1);

Xint = trapz(x,A,2);
%Xint = trapz(xm,A,2);
Tint = trapz(t,Xint,1);

%checkt = trapz(t,A,1);
%checkx = trapz(xm,checkt,2);

soln = Tint;
%check = checkx -Tint

